MONGOC_COLLECTION_FIND_INDEXES(3)

NAME
mongoc_collection_find_indexes - mongoc_collection_find_indexes()

SYNOPSIS

        mongoc_cursor_t *
        mongoc_collection_find_indexes (mongoc_collection_t *collection,
                                        bson_error_t *error);

DEPRECATED

This function is deprecated and should not be used in new code.

Please use mongoc_collection_find_indexes_with_opts() instead.

Fetches a cursor containing documents, each corresponding to an index on this collection.

PARAMETERS

    •   collection: A mongoc_collection_t.

    •   error: An optional location for a bson_error_t or NULL.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A cursor where each result corresponds to the server's representation of an index on this collection. If the collection does not exist on the server, the cursor will be empty.

On error, returns NULL and fills out error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc